#-------------------------------------------------------------------------
# /etc/rc.d/rc980.uc - start user counting
#
# Creation:     10.02.2003 
# Last Update:  $Id:  01.03.2003
#-------------------------------------------------------------------------
#!/bin/sh
# opt_user_count
# prepare script, should run on boot
# fli4l conform version 1

if [  "$OPT_USERCOUNT_DEBUG" = "yes"  ] ; then set -x ; fi

OPT_BASH="no" # variablen indexierung

colecho "opt_user-count prepare..." gn

# make new holder file for interessting var from rc.cfg
if [ -f /var/run/uc_hosts.cfg  ] ; then rm -rf /var/run/uc_hosts.cfg  ; fi

for i in ^HOSTNAME* ^ISDN_CIRC_[0-9]*_HUP_TIMEOUT ^START_IMOND ^IMOND_LOG*  \
 ^HTTPD_DOC_ROOT ^PROXY_PORT ^OPT_PROXY ^OPT_EXTRATOOLS ^OPT_USERCOUNT* 
	do  grep $i /boot/rc.cfg >> /var/run/uc_hosts.cfg
done

. /var/run/uc_hosts.cfg

 # eventuell nicht vorhandenen imond direktory abschluss "/" einfgen
[ `echo "${IMOND_LOGDIR}" | grep -c  '/$' `  -ne  "1"  ] && IMOND_LOGDIR="${IMOND_LOGDIR}/" && \
 	awk -F= -v inhalt=${IMOND_LOGDIR}  '
		{
   		if  (  $1 ~  /IMOND_LOGDIR/ ) {  print "IMOND_LOGDIR="inhalt  } 
    		else   {  print $1"="$2  }    
     		} ' /var/run/uc_hosts.cfg > /var/run/uc_hosts.cfg.sed  &&  mv  /var/run/uc_hosts.cfg.sed  /var/run/uc_hosts.cfg 	 && \
colecho "  directory of imond.log read and missing final \"/\" written..." gn

# get router mac adress for tcpdump | make a valid /etc/ethers
# if you have more than one eth cards edit below string "eth0"
# to your eth card wich is connected to your intranet like "eth1"
if [ -f /etc/ethers ]
 	then rm -rf /etc/ethers
fi
hwadress=`/sbin/ifconfig eth0 | grep eth0 | cut -c 39-56`
echo "$hwadress	$HOSTNAME" > /etc/ethers
colecho "   /etc/ethers created..." gn
colecho "opt_user-count prepare...  complete..." gn 


if [ "$OPT_USERCOUNT_DEBUG" = "yes"  ] ; then set +x ; fi
