#!/bin/sh
# uc_main.sh
# part of opt-user_count
# run from ip-down

# stand 01.03.2003 version fr FLI4L 2.0.6 by alex
# alexanderrichter@gmx.net     http://kickme.to/bhg
# WARNING : THIS VERSION MAY BE BUGGY ON ALL EDGES (OK, NOT ALL :-)), RUN CAREFULLY !!!!

## zeiterfassung include 2. version###
#----------------------#
### Variablen einlesen ###
. /var/run/uc_hosts.cfg

if [  $OPT_USERCOUNT_DEBUG = "yes"  ] ; then set -x ; fi # for debug

UC_LOG_DIR="${IMOND_LOGDIR}" # ${IMOND_LOGDIR}
UC_LOG_DEST="uc_roh.log"
zeit=`date +%f` # fr letzte verbindung
monat=`date +%m-%y` # fr log file benennung format :"01-03" fr januar 2003
imondlog_dir="${IMOND_LOGDIR}"

# uc-tcpdump geordnet beenden
rm -f /var/tmp/uc-online
until [ -s /var/tmp/uc-tcpdump-fertig ] ; do
	echo "...warte auf ende von uc_tcprun.sh"
 	sleep 1
done
rm -f /var/tmp/uc-tcpdump-fertig # fertig flag wieder entfernen

## auswerte schleifen start
PAKETZAHL="0"
cd ${OPT_USERCOUNT_LOGDIR}
for logfile in `ls | grep "uc_roh\.log-[0-9]*"`
	do
CURPAKET="$logfile"
PAKETZAHL=`expr ${PAKETZAHL} + 1`


#auswertung des aktuellen paketes
#----------------------------------------------------------------------------#
    # fr tcp haltige logs #
    # fr logs die tcp / udp traffic enthalten
if grep -q 'tcp' $CURPAKET || grep -q 'udp'  $CURPAKET ; then
    # echo "tcp/udp gibts !!!" #debug
    # icmp pakete entfernen :
	awk '{ 
			if ( $4 !~ /icmp:/) print $1, $2, $3, $4 	
		}' $CURPAKET | \
    
    # real clients ins erste feld ($1)bringen
	awk -v router=$HOSTNAME '
		{
			if ($1 ~ /[0-9]*\.[0-9]*\.[0-9]*\.[0-9]*.*/)
				{print $3,$1,$5 }
			else	{print  $1,$3,$5 }
		}' |\

    # real client namen sauber aus ersten feld extrahieren
    # einzel user ausgeben und zhlen

	awk -v router=$HOSTNAME '
  		{
			if( $1 ~ router )
				{ split ($2,hosttemp,".") ; host=hosttemp[1] ; anzahl[host] }
			else	{ split ($1,hosttemp,".") ; host=hosttemp[1] ; anzahl[host]}
      		}
		END { for (name in anzahl) {print name}
			 }' > /var/tmp/uc_clients

  # all prozente datei beim ersten gang erzeugen
	[ ! -f /var/tmp/uc_clients_prz_all ] && \
	awk '
		{ printf "%-20s %4.2f \n",$1,"0" }
		' /var/tmp/uc_clients > /var/tmp/uc_clients_prz_all

  # anzahl der user durch zeilenzhlen und wc ausgabe formatieren (is halt wc)
	userzahl=`wc -l /var/tmp/uc_clients | awk '{print $1}'`

  # ermitteln der prozentualen anteile per user frs current log
	awk -v zahl=$userzahl '
  			{ printf "%-20s %10.4f \n", $1, (100/zahl)
			}' /var/tmp/uc_clients > /var/tmp/uc_clients_prz_current

#indexierung list aller alter plus neuer user
cat /var/tmp/uc_clients_prz_current  /var/tmp/uc_clients_prz_all  | cut -f 1  -d " "  | sort | uniq | awk '{ print $1 , " 0" }' | \

#und aufsummieren
awk -v uc_clients_prz_all="/var/tmp/uc_clients_prz_all" -v uc_clients_prz_current="/var/tmp/uc_clients_prz_current" '
	BEGIN {
			while  ( getline < uc_clients_prz_all )
                  	{ oldsumm_user_prz[$1]=$2 }
			while  ( getline < uc_clients_prz_current )
                  	{ currsumm_user_prz[$1]=$2 }
		    }
	{ summ_user_prz[$1] = oldsumm_user_prz[$1] + currsumm_user_prz[$1] }
   # ausgabe
	END { for ( i in summ_user_prz )
        		{ printf "%-20s %10.4f \n", i, summ_user_prz[i] }
         	}'  > /var/tmp/uc_clients_prz_all.tmp
  
#-----------------------------------------------------------------------------#
# fr icmp haltige logs
else # echo "tcp/udp gibts nicht, also icmp analyse !!!" #debug
	cat $CURPAKET |  awk '
  			{
    			if ($1 ~ /[0-9]*\.[0-9]*\.[0-9]*\.[0-9]*.*/)
       			{print $3,$1 }
    			else	{print  $1,$3 }
       			}' |\
   
	awk -v router=$HOSTNAME '
  		{
    			if( $1 ~ router )
     			{ split ($2,hosttemp,":") ; host=hosttemp[1] ; anzahl[host] }
			else	{ split ($1,hosttemp,":") ; host=hosttemp[1] ; anzahl[host] }
      		}
     		END	 { for (name in anzahl) {print name}
		 }' > /var/tmp/uc_clients

  # all prozente datei beim ersten gang erzeugen
	[ ! -f /var/tmp/uc_clients_prz_all ] && \
	awk '
		{ printf "%-20s %4.2f \n",$1,"0"}' /var/tmp/uc_clients > /var/tmp/uc_clients_prz_all

  # anzahl der user durch zeilenzhlen und wc ausgabe formatieren (is halt wc)
	userzahl=`wc -l /var/tmp/uc_clients | awk '{print $1}'`

  # ermitteln der prozentualen anteile per user frs current log
	awk -v zahl=$userzahl '
		{ printf "%-20s %10.4f \n", $1, (100/zahl)  }' /var/tmp/uc_clients > /var/tmp/uc_clients_prz_current

#indexierung list aller alter plus neuer user
cat /var/tmp/uc_clients_prz_current  /var/tmp/uc_clients_prz_all  | cut -f 1  -d " "  | sort | uniq | awk '{ print $1 , " 0" }' | \

#und aufsummieren
	awk -v uc_clients_prz_all="/var/tmp/uc_clients_prz_all" -v uc_clients_prz_current="/var/tmp/uc_clients_prz_current" '
		BEGIN {
     				while  ( getline < uc_clients_prz_all )
                  		{ oldsumm_user_prz[$1]=$2 }
     				while  ( getline < uc_clients_prz_current )
                  		{ currsumm_user_prz[$1]=$2 }
            		    }
           	{ summ_user_prz[$1] = oldsumm_user_prz[$1] + currsumm_user_prz[$1] }
   # ausgabe
    		END { 
			for ( i in summ_user_prz )
        		{ printf "%-20s %10.4f \n", i, summ_user_prz[i] }
             		 }'  > /var/tmp/uc_clients_prz_all.tmp
 fi

if [ -s /var/tmp/uc_clients_prz_all.tmp ]; then
  mv /var/tmp/uc_clients_prz_all.tmp  /var/tmp/uc_clients_prz_all
  #cat  /var/tmp/uc_clients_prz_all #debug
fi

#aktuell bearbeitetes roh log entfernen
if [  $OPT_USERCOUNT_DEBUG = "no"  ] ; then rm -f $CURPAKET ; fi # for debug rm -f $CURPAKET
# saubermachen
rm -f /var/tmp/uc_clients ; rm -f /var/tmp/uc_clients_prz_current
rm -f /var/tmp/uc_clients_prz_all.tmp

done

### end of auswertung ###
#-----------------------------------------------------------------------------------------#

#debug
logsize=`ls -l /var/tmp/uc_clients_prz_all | awk '{print $5}'`
if [ $logsize -eq "0" ] ; then
 echo "NACH LETZTES logfile ist 0 bytes gross, PROBLEM !!! , unknown user wird eingesetzt ..."
    dummy_prz=`expr  "${PAKETZAHL}" \* 100`
  echo "unknown       ${dummy_prz}" > /var/tmp/uc_clients_prz_all 
fi

# Kosten ermitteln
#-----------------------------------------------------------------------------------------#

# kosten aus imond.log holen # kosten in form "1.12" holen
uc_summe_coint=`tail -n 1 ${imondlog_dir}imond.log | awk '{print $8}'`
# online zeit aus imond.log holen in form von sekunden integer
uc_summe_time=`tail -n 1 ${imondlog_dir}imond.log | awk '{print $6}'`

# gesamt prozente aller user holen
PRZ_OVER_ALL=`awk '{ poa = poa + $2 }
  END {  printf "%.4f ", poa }
 ' /var/tmp/uc_clients_prz_all `

#echo "prozent aller : ${PRZ_OVER_ALL}" #debug

#--------------------------------------#
# user prozente zu gesamtkosten setzen
# kosten fr letzte session bauen

# awk $1~user $2~userprozente aufsummiert ausgabe in "euro.cent"
awk -v uc_s_c=${uc_summe_coint} -v sum_poa=${PRZ_OVER_ALL} -v date=$zeit -v uc_s_t=${uc_summe_time} '
	 {
	# prozentualer anteil
	user_prz= 100 / sum_poa * $2
	# sum_coint in euro,cent
	user_coint= uc_s_c / 100 * user_prz
	#  sum_time in sec
	user_time= uc_s_t  / 100 * user_prz
	# aufrunden wenn 1. stelle hinter komma ( halbe sekunden ) >= 5
	if (user_time%1 >= 0.5) user_time++
	# prozentualer anteil
	# ausgeben
	printf "%-10s %10s %10.2f %10.2f %10.0i \n", date, $1,user_prz, user_coint,user_time
	}
	END {
            	printf "%-10s %10s %10.2f %10.2f %10.0i  \n", date, "summe" , "100.00",  uc_s_c, uc_s_t
	    	}' /var/tmp/uc_clients_prz_all > "${OPT_USERCOUNT_LOGDIR}uc_main.log"

#-------------------------------------#

# monatslog bauen
# ersterstellung des monatslogs
# monatslog datei beim ersten gang erzeugen
    [ ! -f "${OPT_USERCOUNT_LOGDIR}${monat}_uc.log" ] && \
    awk '{printf "%-20s %4.2f %10.0i \n",$2,"0","0"}' \
     "${OPT_USERCOUNT_LOGDIR}uc_main.log" > "${OPT_USERCOUNT_LOGDIR}${monat}_uc.log"
     
     # $2~user $4~kosten $5~zeit
     awk '{ print $2,  $4, $5 }'  ${OPT_USERCOUNT_LOGDIR}uc_main.log > ${OPT_USERCOUNT_LOGDIR}uc_main_clean.log

#index list aller alter plus neuer user
cat "${OPT_USERCOUNT_LOGDIR}${monat}_uc.log"  "${OPT_USERCOUNT_LOGDIR}uc_main_clean.log" | \
cut -f 1  -d " "  | sort | uniq | awk '{ print $1 , " 0.00" }' | \

#und aufsummieren
awk -v uc_log_monat="${OPT_USERCOUNT_LOGDIR}${monat}_uc.log" -v uc_log_main="${OPT_USERCOUNT_LOGDIR}uc_main_clean.log" '
	BEGIN {
     			while  ( getline < uc_log_monat )
                  	{ oldsumm_user_coint[$1]=$2 ; oldsumm_user_time[$1]=$3 }
     			while  ( getline < uc_log_main )
                  	{ mainsumm_user_coint[$1]=$2 ; mainsumm_user_time[$1]=$3}
            	    }
   	{ summ_user_coint[$1] = oldsumm_user_coint[$1] + mainsumm_user_coint[$1] ;
	  summ_user_time[$1] = oldsumm_user_time[$1] + mainsumm_user_time[$1] }
   	# ausgabe
    	END {
		 for ( i in summ_user_coint )
       		{ printf "%-20s %10.2f %10.0i \n", i, summ_user_coint[i], summ_user_time[i] }
         	 }'  > ${OPT_USERCOUNT_LOGDIR}${monat}_uc.log.tmp
	 
mv ${OPT_USERCOUNT_LOGDIR}${monat}_uc.log.tmp ${OPT_USERCOUNT_LOGDIR}${monat}_uc.log
rm -rf ${OPT_USERCOUNT_LOGDIR}uc_main_clean.log


#---------------------------------------------#

rm -rf /var/tmp/uc_clients_prz_all
#cat /privat/syslog/uc_main.log #debug

if [  $OPT_USERCOUNT_DEBUG = "no"  ] ; then set +x ;  fi #debug

# ps : klingonen schreiben keine kommentare :-)
